Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2372 - fdisk can't handle large drives
Summary: fdisk can't handle large drives
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-26 16:54 UTC by pickens
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-05 05:58:56 UTC


Attachments (Terms of Use)

Description pickens 1999-04-26 16:54:03 UTC
This bug is related to 1077, but is more specific.
fdisk is not able to partition the last 5GB of a 20GB
drive. Presumably, this problem is due to fdisk using
32-bit ints intead of 64-bit long-longs.

As a result, I cannot install Linux on my machine at all.
Will a 64-bit version of fdisk be made available in
the near future?

fdisk reports wrong cylinder numbers in the extended
partition. I add logical partitions anyway. When I
attemp to "verify" fdisk reports that they all overlap
each other. Moreover, when I exit fdisk, the install
program complains that it cannot read the partition table
of /tmp/hdd.

Comment 1 David Lawrence 1999-05-07 19:30:59 UTC
This has been assigned to a developer for further review.gafton

Comment 2 Cristian Gafton 1999-06-18 16:46:59 UTC
What drive and model number?
Assigned to msw, as the installer needs to take care of this too.

Comment 3 Cristian Gafton 1999-10-05 05:58:59 UTC
Closed due to lack of feedback. I have been able to use the curent
fdisk from 6.0 and 6.1 to partition an IBM Deskstar 22GB IDE drive, so
I know that at least "works for me".


Note You need to log in before you can comment on or make changes to this bug.